GNU bug report logs - #44089
[PATCH] gnu: Add emacs-wucuo.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Joseph LaFreniere <joseph@HIDDEN>; Keywords: patch; dated Tue, 20 Oct 2020 03:27:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 44089 <at> debbugs.gnu.org:


Received: (at 44089) by debbugs.gnu.org; 18 Nov 2020 22:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 18 17:12:29 2020
Received: from localhost ([127.0.0.1]:36842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfVgi-0006zE-Uj
	for submit <at> debbugs.gnu.org; Wed, 18 Nov 2020 17:12:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kfVgg-0006z0-RT
 for 44089 <at> debbugs.gnu.org; Wed, 18 Nov 2020 17:12:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35670)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kfVgb-0007Re-Ka; Wed, 18 Nov 2020 17:12:21 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35500 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kfVgZ-0007vb-Ul; Wed, 18 Nov 2020 17:12:20 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Joseph LaFreniere <joseph@HIDDEN>,  44089 <at> debbugs.gnu.org
Subject: Re: [bug#44089] [PATCH] gnu: Add emacs-wucuo.
References: <878sc1k27o.fsf@HIDDEN>
 <878sc18aw5.fsf@HIDDEN>
Date: Wed, 18 Nov 2020 23:12:18 +0100
In-Reply-To: <878sc18aw5.fsf@HIDDEN> (Nicolas Goaziou's message of
 "Tue, 20 Oct 2020 12:11:38 +0200")
Message-ID: <87y2iyiabh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 44089
Cc: Nicolas Goaziou <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Hi Joseph,

A friendly reminder.  :-)

  https://issues.guix.gnu.org/44089

Ludo=E2=80=99.

Nicolas Goaziou <mail@HIDDEN> skribis:

> Hello,
>
> Joseph LaFreniere <joseph@HIDDEN> writes:
>
>> Subject: [PATCH] gnu: Add emacs-wucuo.
>>
>> * gnu/packages/emacs-xyz.scm (emacs-wucuo): New variable.
>
> Thank you. Some comments follow.
>
>> +    (version "0.2.7")
>
> Based on your feedback, upstream released 0.2.8 a few hours ago.
>
>> +       (sha256
>> +        (base32
>> +         "1iw4jdlqvki95gh7bzl7hjidc2kz9qyc1zjd7klh63gvk0z09700"))))
>
> Nitpick: please move the string on the same line as `base32'.
>
>> +    (build-system emacs-build-system)
>> +    (home-page "https://github.com/redguardtoo/wucuo")
>> +    (synopsis
>> +     "Fastest solution to spell check camel case code or plain text")
>
> Please move the string on the same line as `synopsis'. Also, "fastest"
> sounds like a buzzword. I think "Fast" would be more neutral.
>
>> +    (description
>> +     "This package provides a spell checker on top of either aspell or
>> +hunspell.
>> +
>> +@itemize
>> +@item @code{wucuo-spell-check-file} will spell check one file and repor=
t its
>> +typos
>> +@item If @code{wucuo-flyspell-start-mode} is \"normal\", @code{wucuo-st=
art}
>> +runs @code{flyspell-buffer}.  If it's \"normal\", @code{wucuo-start} ru=
ns
>> +@code{flyspell-region} to check visible region in current window.
>> +@item The interval of checking is set by @code{wucuo-update-interval}
>> +@end itemize
>> +
>> +See @code{wucuo-check-nil-font-face} on how to check plain text (text w=
ithout
>> +font)
>> +@itemize
>> +@item Use @code{wucuo-current-font-face} to detect font face at point
>> +@item If @code{wucuo-flyspell-start-mode} is \"normal\",
>> +@code{wucuo-spell-check-buffer-max} specifies the maximum size of buffe=
r to
>> +check.  If @code{wucuo-flyspell-start-mode} is \"fast\",
>> +@code{wucuo-spell-check-region-max} specifies the maximum size of visib=
le
>> +region to check.
>> +@item You can define a function in @code{wucuo-spell-check-buffer-predi=
cate}.
>> +If the function returns t, the spell checking of current buffer will co=
ntinue.
>> +If it returns nil, the spell checking is skipped.
>> +@end itemize
>> +
>> +Here is sample to skip checking in specified major modes,
>> +@lisp
>> + (setq wucuo-spell-check-buffer-predicate
>> +        (lambda ()
>> +          (not (memq major-mode
>> +                     '(dired-mode
>> +                       log-edit-mode
>> +                       compilation-mode
>> +                       help-mode
>> +                       profiler-report-mode
>> +                       speedbar-mode
>> +                       gud-mode
>> +                       calc-mode
>> +                       Info-mode)))))
>> +@end lisp")
>
> I think most of this belongs to the manual, not to the description. What
> about:
>
>   This package provides a spell checker on top of either Aspell or
>   Hunspell, and relies on Flyspell internally.  It operates on the
>   current region or buffer, a file, or a complete directory.
>
> Could you send an updated patch?
>
> Regards,




Information forwarded to guix-patches@HIDDEN:
bug#44089; Package guix-patches. Full text available.

Message received at 44089 <at> debbugs.gnu.org:


Received: (at 44089) by debbugs.gnu.org; 20 Oct 2020 10:11:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 06:11:48 2020
Received: from localhost ([127.0.0.1]:43686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUocO-0004K3-5Q
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 06:11:48 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:42631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kUocM-0004Jp-6n
 for 44089 <at> debbugs.gnu.org; Tue, 20 Oct 2020 06:11:47 -0400
X-Originating-IP: 176.137.73.130
Received: from localhost (chr13-h03-176-137-73-130.dsl.sta.abo.bbox.fr
 [176.137.73.130]) (Authenticated sender: admin@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 198336001A;
 Tue, 20 Oct 2020 10:11:38 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Joseph LaFreniere <joseph@HIDDEN>
Subject: Re: [bug#44089] [PATCH] gnu: Add emacs-wucuo.
In-Reply-To: <878sc1k27o.fsf@HIDDEN> (Joseph LaFreniere's
 message of "Mon, 19 Oct 2020 22:26:03 -0500")
References: <878sc1k27o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Date: Tue, 20 Oct 2020 12:11:38 +0200
Message-ID: <878sc18aw5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Joseph LaFreniere <joseph@HIDDEN> writes: >
 Subject: [PATCH] gnu: Add emacs-wucuo. > > * gnu/packages/emacs-xyz.scm
 (emacs-wucuo): New variable. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44089
Cc: 44089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Joseph LaFreniere <joseph@HIDDEN> writes:

> Subject: [PATCH] gnu: Add emacs-wucuo.
>
> * gnu/packages/emacs-xyz.scm (emacs-wucuo): New variable.

Thank you. Some comments follow.

> +    (version "0.2.7")

Based on your feedback, upstream released 0.2.8 a few hours ago.

> +       (sha256
> +        (base32
> +         "1iw4jdlqvki95gh7bzl7hjidc2kz9qyc1zjd7klh63gvk0z09700"))))

Nitpick: please move the string on the same line as `base32'.

> +    (build-system emacs-build-system)
> +    (home-page "https://github.com/redguardtoo/wucuo")
> +    (synopsis
> +     "Fastest solution to spell check camel case code or plain text")

Please move the string on the same line as `synopsis'. Also, "fastest"
sounds like a buzzword. I think "Fast" would be more neutral.

> +    (description
> +     "This package provides a spell checker on top of either aspell or
> +hunspell.
> +
> +@itemize
> +@item @code{wucuo-spell-check-file} will spell check one file and report its
> +typos
> +@item If @code{wucuo-flyspell-start-mode} is \"normal\", @code{wucuo-start}
> +runs @code{flyspell-buffer}.  If it's \"normal\", @code{wucuo-start} runs
> +@code{flyspell-region} to check visible region in current window.
> +@item The interval of checking is set by @code{wucuo-update-interval}
> +@end itemize
> +
> +See @code{wucuo-check-nil-font-face} on how to check plain text (text without
> +font)
> +@itemize
> +@item Use @code{wucuo-current-font-face} to detect font face at point
> +@item If @code{wucuo-flyspell-start-mode} is \"normal\",
> +@code{wucuo-spell-check-buffer-max} specifies the maximum size of buffer to
> +check.  If @code{wucuo-flyspell-start-mode} is \"fast\",
> +@code{wucuo-spell-check-region-max} specifies the maximum size of visible
> +region to check.
> +@item You can define a function in @code{wucuo-spell-check-buffer-predicate}.
> +If the function returns t, the spell checking of current buffer will continue.
> +If it returns nil, the spell checking is skipped.
> +@end itemize
> +
> +Here is sample to skip checking in specified major modes,
> +@lisp
> + (setq wucuo-spell-check-buffer-predicate
> +        (lambda ()
> +          (not (memq major-mode
> +                     '(dired-mode
> +                       log-edit-mode
> +                       compilation-mode
> +                       help-mode
> +                       profiler-report-mode
> +                       speedbar-mode
> +                       gud-mode
> +                       calc-mode
> +                       Info-mode)))))
> +@end lisp")

I think most of this belongs to the manual, not to the description. What
about:

  This package provides a spell checker on top of either Aspell or
  Hunspell, and relies on Flyspell internally.  It operates on the
  current region or buffer, a file, or a complete directory.

Could you send an updated patch?

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#44089; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2020 03:26:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 23:26:21 2020
Received: from localhost ([127.0.0.1]:43051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUiI1-00061d-Br
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 23:26:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:60104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph@HIDDEN>) id 1kUiHz-00061V-NW
 for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 23:26:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44394)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kUiHz-0006Og-Gy
 for guix-patches@HIDDEN; Mon, 19 Oct 2020 23:26:19 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:42284)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kUiHw-0001eC-M8
 for guix-patches@HIDDEN; Mon, 19 Oct 2020 23:26:18 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 1F5DCD81
 for <guix-patches@HIDDEN>; Tue, 20 Oct 2020 05:26:10 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:received:received:received; s=
 dkim20160331; t=1603164368; x=1604978769; bh=ZiRVtuyowbuCLVmmz8O
 xdbTtP1ZN5WBfyrZG0gFLQo0=; b=a7V54GUB2KMbpEY+KfPTUlRpJZGIQNfBBj9
 H+7AMJzxOcv3rygKwXPJgTiMZE6mfRSx8S//8s1xp+TrvGgvMo2gNAJWE10izONz
 FCL6uEC2sjCk5qkAZ0Ho6MWhQS85d7TYhvJw3G6IGDL7ATwS1PSrHwMaPfWhMwwJ
 ELObe3g4dBDfvAm4DA5CIr8IBjDx4pVHVtH1NV4n7HImLPATXQSHP3c/pq9asMul
 VBdA5fVecIhqOuu9DNlbVa1Y9Za7qxiOTCNBNuQVQDXKLAO4xy3a7gGAbpzyWuXK
 przntxGZfgb3pdBIgSMfqdA+5HaUkERj+/yCvwtOvPVobo9iMuStQLmwmUx3EcCv
 gU3V+qMz+sO3LiJGpNxQOUai6a0yqZKFQbHJp03/k0Am5x3jMBLAFB+504UyZjsk
 /jflKiPaQt6Be6uRr6+dgFe8Ne/u6Je/6cfhDktejxW9VzQIM/bBE026kn84R9wb
 ogUhP7m3eiZSxRMQfu/jESLIZaWoXHtRHVBpvW1Gl/xyhBzkNrat87pXkaTTvj65
 JhCsnFFREmHPmzYgA3zV5x8xxC3Hz1HsI0xLzj/MtgSUrbRfzDxH3TmTOkhVsX5t
 5PSDKBnEBebJufudqbfTFFTz/ohj6FZQXWAyp5nKbcCEP0n4E+uuKKAhxNE2d0A5
 iiUxxojc=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id UvyknTtpY8kZ for <guix-patches@HIDDEN>;
 Tue, 20 Oct 2020 05:26:08 +0200 (CEST)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 76BDFB2A
 for <guix-patches@HIDDEN>; Tue, 20 Oct 2020 05:26:08 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id 0D6E33CA0
 for <guix-patches@HIDDEN>; Tue, 20 Oct 2020 05:26:08 +0200 (CEST)
From: Joseph LaFreniere <joseph@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add emacs-wucuo.
Date: Mon, 19 Oct 2020 22:26:03 -0500
Message-ID: <878sc1k27o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=95.128.36.42; envelope-from=joseph@HIDDEN;
 helo=mx.kolabnow.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/19 23:26:10
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 FROM_SUSPICIOUS_NTLD=0.499, FROM_SUSPICIOUS_NTLD_FP=1.601, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Patch file is attached. There were some warnings during build
 about functions not being defined. I believe this is just an issue of missing
 autoload declarations, and I have reported the warning to th [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=joseph%40lafreniere.xyz; ip=209.51.188.17; r=debbugs.gnu.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 1.6 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--=-=-=
Content-Type: text/plain; format=flowed

Patch file is attached.  There were some warnings during build 
about functions not being defined.  I believe this is just an 
issue of missing autoload declarations, and I have reported the 
warning to the package's author.

--
Joseph LaFreniere

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-emacs-wucuo.patch

From dd7a1229340ee282af047689a41f95b0f1dbaf7f Mon Sep 17 00:00:00 2001
From: Joseph LaFreniere <joseph@HIDDEN>
Date: Mon, 19 Oct 2020 22:21:04 -0500
Subject: [PATCH] gnu: Add emacs-wucuo.

* gnu/packages/emacs-xyz.scm (emacs-wucuo): New variable.
---
 gnu/packages/emacs-xyz.scm | 62 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 5acb8ce6ec..1530cc275f 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -8637,6 +8637,68 @@ current frame, disabling the mode line, and adding margins to the buffer that
 restrict the text width to 80 characters.")
     (license license:bsd-3)))
 
+(define-public emacs-wucuo
+  (package
+    (name "emacs-wucuo")
+    (version "0.2.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/redguardtoo/wucuo")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1iw4jdlqvki95gh7bzl7hjidc2kz9qyc1zjd7klh63gvk0z09700"))))
+    (build-system emacs-build-system)
+    (home-page "https://github.com/redguardtoo/wucuo")
+    (synopsis
+     "Fastest solution to spell check camel case code or plain text")
+    (description
+     "This package provides a spell checker on top of either aspell or
+hunspell.
+
+@itemize
+@item @code{wucuo-spell-check-file} will spell check one file and report its
+typos
+@item If @code{wucuo-flyspell-start-mode} is \"normal\", @code{wucuo-start}
+runs @code{flyspell-buffer}.  If it's \"normal\", @code{wucuo-start} runs
+@code{flyspell-region} to check visible region in current window.
+@item The interval of checking is set by @code{wucuo-update-interval}
+@end itemize
+
+See @code{wucuo-check-nil-font-face} on how to check plain text (text without
+font)
+@itemize
+@item Use @code{wucuo-current-font-face} to detect font face at point
+@item If @code{wucuo-flyspell-start-mode} is \"normal\",
+@code{wucuo-spell-check-buffer-max} specifies the maximum size of buffer to
+check.  If @code{wucuo-flyspell-start-mode} is \"fast\",
+@code{wucuo-spell-check-region-max} specifies the maximum size of visible
+region to check.
+@item You can define a function in @code{wucuo-spell-check-buffer-predicate}.
+If the function returns t, the spell checking of current buffer will continue.
+If it returns nil, the spell checking is skipped.
+@end itemize
+
+Here is sample to skip checking in specified major modes,
+@lisp
+ (setq wucuo-spell-check-buffer-predicate
+        (lambda ()
+          (not (memq major-mode
+                     '(dired-mode
+                       log-edit-mode
+                       compilation-mode
+                       help-mode
+                       profiler-report-mode
+                       speedbar-mode
+                       gud-mode
+                       calc-mode
+                       Info-mode)))))
+@end lisp")
+    (license license:gpl3+)))
+
 (define-public emacs-ido-completing-read+
   (package
     (name "emacs-ido-completing-read+")
-- 
2.28.0


--=-=-=--




Acknowledgement sent to Joseph LaFreniere <joseph@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#44089; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Nov 2020 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.